net.minecraft.network

## Class NettyEncryptingDecoder

- java.lang.Object
- - io.netty.channel.ChannelHandlerAdapter
  - - io.netty.channel.ChannelInboundHandlerAdapter
    - - io.netty.handler.codec.MessageToMessageDecoder
      - - net.minecraft.network.NettyEncryptingDecoder

- All Implemented Interfaces:
    io.netty.channel.ChannelHandler, io.netty.channel.ChannelInboundHandler

      public class NettyEncryptingDecoder
      extends io.netty.handler.codec.MessageToMessageDecoder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface io.netty.channel.ChannelHandler

      `io.netty.channel.ChannelHandler.Sharable`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NettyEncryptingDecoder(javax.crypto.Cipher p_i45141_1_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `decode(io.netty.channel.ChannelHandlerContext p_150508_1_, io.netty.buffer.ByteBuf p_150508_2_, java.util.List p_150508_3_)`
    `protected void` | `decode(io.netty.channel.ChannelHandlerContext p_decode_1_, java.lang.Object p_decode_2_, java.util.List p_decode_3_)`

    - ### Methods inherited from class io.netty.handler.codec.MessageToMessageDecoder

      `acceptInboundMessage, channelRead`

    - ### Methods inherited from class io.netty.channel.ChannelInboundHandlerAdapter

      `channelActive, channelInactive, channelReadComplete, channelRegistered, channelUnregistered, channelWritabilityChanged, exceptionCaught, userEventTriggered`

    - ### Methods inherited from class io.netty.channel.ChannelHandlerAdapter

      `handlerAdded, handlerRemoved, isSharable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.netty.channel.ChannelHandler

      `handlerAdded, handlerRemoved`

- - ### Constructor Detail

    - #### NettyEncryptingDecoder

          public NettyEncryptingDecoder(javax.crypto.Cipher p_i45141_1_)

  - ### Method Detail

    - #### decode

          protected void decode(io.netty.channel.ChannelHandlerContext p_150508_1_,
                    io.netty.buffer.ByteBuf p_150508_2_,
                    java.util.List p_150508_3_)
                         throws javax.crypto.ShortBufferException

      Throws:
        `javax.crypto.ShortBufferException`

    - #### decode

          protected void decode(io.netty.channel.ChannelHandlerContext p_decode_1_,
                    java.lang.Object p_decode_2_,
                    java.util.List p_decode_3_)
                         throws javax.crypto.ShortBufferException

      Specified by:
        `decode` in class `io.netty.handler.codec.MessageToMessageDecoder`
      Throws:
        `javax.crypto.ShortBufferException`